<template>
  <div class="q-pa-md">
    <edit-panel v-for="preference in termsPreferences " :key="preference.name" :info="preference" />
  </div>
</template>

<script>
import EditPanel from "../../components/admin/EditPanel.vue";
export default {
  name: "business",
  components: {
    EditPanel,
  },
  data() {
    return {};
  },
  computed: {
    adminPreferences() {
      return this.$store.getters["adminData/getAdminPreferences"];
    },
    termsPreferences() {
      return this.adminPreferences.filter(
        (preference) =>
          preference.name === "FAQ" ||
          preference.name === "Terms & Conditions" ||
          preference.name === "About Us"
      );
    },
  },
};
</script>

<style></style>
